Summary:	Next generation initrd image generator
Name:		dracut
Version:	005
Release:	%mkrel 1
Group:		System/Base
License:	GPLv2+
URL:		http://apps.sourceforge.net/trac/dracut/wiki
Source0:	http://downloads.sourceforge.net/project/dracut/%{name}-%{version}.tar.bz2
Source1:	bootchartd-check
Source2:	bootchartd-install
Patch0:		dracut-004-mdv.patch
Patch1:		dracut-004-conf_d.patch
Patch15:	dracut-004-mkinitrd.patch
Requires:	filesystem
Requires:	udev
Requires:	util-linux-ng
Requires:	module-init-tools
Requires:	e2fsprogs
Requires:	cpio
Requires:	coreutils
Requires:	findutils
Requires:	binutils
Requires:	grep
Requires:	mktemp
Requires:	mount
Requires:	bash
Requires:	dash
Requires:	kbd
Requires:	tar
Requires:	gzip
Requires:	bzip2
Requires:	file
Requires:	module-init-tools
Requires:	bridge-utils
Requires:	initscripts
Requires(pre):	plymouth
Requires:	plymouth
Requires:	plymouth(system-theme)
Requires:	bootloader-utils
Requires(post,postun):	update-alternatives
Conflicts:	mkinitrd < 6.0.93-%manbo_mkrel 10
Conflicts:	nash < 6.0.93-%manbo_mkrel 11
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Event driven initrd image generator based around udev.

%prep
%setup -q
%patch0 -p1 -b .mdv.orig
%patch1 -p1 -b .conf_d.orig
%patch15 -p1 -b .mkinitrd.orig

%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %{buildroot}
%makeinstall_std sbindir=/sbin sysconfdir=%{_sysconfdir} mandir=%{_mandir}

mkdir -p %{buildroot}%{_datadir}/dracut/modules.d/00bootchartd
install -m 755 %{SOURCE1} %{buildroot}%{_datadir}/dracut/modules.d/00bootchartd/check
install -m 755 %{SOURCE2} %{buildroot}%{_datadir}/dracut/modules.d/00bootchartd/install

# bluca remove patch backup files
find %{buildroot} -name \*.\*.orig -exec rm {} \;

# fix permission of module files
chmod +x %{buildroot}%{_datadir}/dracut/modules.d/*/install
chmod +x %{buildroot}%{_datadir}/dracut/modules.d/*/installkernel
chmod +x %{buildroot}%{_datadir}/dracut/modules.d/*/check

mkdir -p %{buildroot}/boot/dracut
mkdir -p %{buildroot}%{_var}/lib/dracut/overlay

mv %{buildroot}/sbin/lsinitrd %{buildroot}/sbin/lsinitrd-dracut
mv %{buildroot}/sbin/mkinitrd %{buildroot}/sbin/mkinitrd-dracut

cat > README.urpmi << EOF

This ia a mkinitrd replacement.
Consider this software as experimental!

How to use:

dracut -v /boot/initrd-dracut-\$(uname -r).img \$(uname -r)

then run

bootloader-config --action add-kernel /boot/vmlinuz-\$(uname -r) --initrd /boot/initrd-dracut-\$(uname -r).img --kernel-version \$(uname -r) --label dracut

and reboot.

If you want to set dracut as an mkinitrd replacement run
update-alternatives --set mkinitrd /sbin/mkinitrd-dracut
EOF

%clean
rm -rf %{buildroot}

%post
update-alternatives --install /sbin/mkinitrd mkinitrd /sbin/mkinitrd-dracut 90 || :
update-alternatives --install /sbin/lsinitrd lsinitrd /sbin/lsinitrd-dracut 90 || :

%postun
[ ! -e /sbin/mkinitrd-dracut ] && update-alternatives --remove mkinitrd /sbin/mkinitrd-dracut || :
[ ! -e /sbin/lsinitrd-dracut ] && update-alternatives --remove lsinitrd /sbin/lsinitrd-dracut || :

%files
%defattr(-,root,root)
%doc README.generic README.modules README.kernel HACKING TODO AUTHORS 
%doc README.urpmi
%dir /boot/dracut
%dir %{_datadir}/dracut
%dir %{_var}/lib/dracut
%dir %{_var}/lib/dracut/overlay
%config(noreplace) %{_sysconfdir}/dracut.conf
%dir %{_sysconfdir}/dracut.conf.d
/sbin/dracut
/sbin/dracut-gencmdline
/sbin/dracut-catimages
/sbin/lsinitrd-dracut
/sbin/mkinitrd-dracut
%{_datadir}/dracut/dracut-functions
%{_datadir}/dracut/modules.d
%{_mandir}/man8/dracut*.8*
%{_mandir}/man5/dracut.conf.5*


%changelog
* Mon Mar 22 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 005-1mdv2010.1
+ Revision: 526382
- remove patches 2, 999 - merged upstream
- new version

* Fri Mar 19 2010 Frederic Crozat <fcrozat@mandriva.com> 004-6mdv2010.1
+ Revision: 525289
- Add source1/2 : add support for bootchart2

* Sun Mar 07 2010 Luca Berra <bluca@mandriva.org> 004-5mdv2010.1
+ Revision: 515443
- update to latest git
- remove patches merged upstream
- add two patches not yet merged

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-4mdv2010.1
+ Revision: 512870
- patch17: fix boot without resume= (#57924)
- update patch16 with official upstream version

* Mon Mar 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 004-3mdv2010.1
+ Revision: 512825
- Patch16: check for multipath existence, if not then die (mdvbz #57919)

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - change postun for compliance with alternatives policy

* Sat Feb 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-2mdv2010.1
+ Revision: 501426
- add alternatives for lsinitrd

  + Jani Välimaa <wally@mandriva.org>
    - escape 'uname -r' in README.urpmi

* Tue Feb 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-1mdv2010.1
+ Revision: 499727
- package new man pages and lsinitrd-dracut
- patch15: mkinitrd-dracut; remove it as source1 (it is now upstream)
- remove patches 1-12: integrated upstream
- new version

* Sun Jan 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-6mdv2010.1
+ Revision: 498683
- patch14: pass init arguments from commmand line to real init

* Sun Jan 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-5mdv2010.1
+ Revision: 492577
- patch13: fix firmware loading with current udev

* Sun Jan 10 2010 Luca Berra <bluca@mandriva.org> 003-4mdv2010.1
+ Revision: 488601
- add support for uswsuspend from Andrey
- ensure module scripts are executable

* Sat Jan 09 2010 Luca Berra <bluca@mandriva.org> 003-3mdv2010.1
+ Revision: 487939
- use alternatives for mkinitrd-dracut, and conflict with mkinitrd < mkinitrd-6.0.93-10mnb2
- remove -H from mkinitrd-dracut, it is better left in the configuration file
- modify the default configuration file to enable host-only mode and add some generic ata drivers.
- add console unicode patch from Andrey

* Tue Dec 29 2009 Luca Berra <bluca@mandriva.org> 003-2mdv2010.1
+ Revision: 483256
- split mdv patch, change terminfo and kbd patches in order to push upstream
- install umount when needed
- disable selinux
- fix standard error in emergency shell and set prompt to indicate what stage we are
- include patches from git
 - multipath: supress warnings, if multipath not installed on system
 - cryptroot-ask.sh:  s/==/=/g (bug #542081)
 - plymouth-pretrigger: force initializing of console (bug #526570)

* Mon Dec 28 2009 Luca Berra <bluca@mandriva.org> 003-1mdv2010.1
+ Revision: 483155
- added wrapper to emulate mkinitrd syntax
- honor add_drivers when making an host-only initrd
- add support for compressed kernel modules
- build fixes

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 003

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 002-4mdv2010.1
+ Revision: 465469
- set requires(pre) on plymouth

* Fri Oct 09 2009 Frederic Crozat <fcrozat@mandriva.com> 002-3mdv2010.0
+ Revision: 456372
- Fix README.urpmi

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 002-2mdv2010.0
+ Revision: 456028
- Do no rely on old plymouth-theme-mdv

* Fri Sep 18 2009 Frederic Crozat <fcrozat@mandriva.com> 002-1mdv2010.0
+ Revision: 444370
- Release 002
- Remove merged patches

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-2mdv2010.0
+ Revision: 432951
- Patch0: one more fix

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-1mdv2010.0
+ Revision: 432801
- update to new version 001
- Patch0: rediff
- add three patches from Fedora
- update to new version 001

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9-1mdv2010.0
+ Revision: 422367
- update to new version 0.9
- rediff patch0
- add more critical requires

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2010.0
+ Revision: 421772
- switch_root is conflicting against util-linux-ng one, so remove it
- Patch0: adapt scripts to mdv specifications
- make it noarch (because switch_root is gone)
- provide REAME.urpmi

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-1mdv2010.0
+ Revision: 421733
- import dracut

